Subject: Re: [PATCH] batman-adv: Remove unused variable

From: Antonio Quartulli <[email-masked]>
Date: Wed, 6 Feb 2013 23:10:22 +0100

Hi Emil, 

On Wed, Feb 06, 2013 at 10:59:05 +0100, Emil Goode wrote:
> Hi Antonio,
> 
> If it is easier I can keep an eye on when the commit lands in the
> net-next tree and then resend a modified version of the patch.
> Or do you want me to resend it now?
> 

Well, that commit should be merged in net-next after the next merge window.

You can resend it now, but be sure to CC Stephen Rothwell
<[email-masked]> (the linux-next maintainer) and to clearly state that the
patch is for linux-next.

Thanks.
Cheers,

p.s. try to do not top-post please :-)

> Best regards, Emil
> 
> On Wed, 2013-02-06 at 20:55 +0100, Antonio Quartulli wrote:
> > Hi Emil,
> > 
> > On Wed, Feb 06, 2013 at 06:55:53 +0100, Emil Goode wrote:
> > > Hi Antonio,
> > > 
> > > The commit ed242d01 is in the linux-next tree and my patch depends on
> > > that commit.
> > > 
> > 
> > Yes, you are right. I was not aware of this commit, because the author
> > did not CC us (neither netdev) even if he changed the code we maintain.
> > 
> > As far as I can see that commit is in linux-next only.
> > Therefore it must be applied there.
> > 
> > However, I'd like you to change the commit message and write the full hash of
> > the commit you are referring to and its subject ("LIKE THIS"). This would make
> > it easier to find it.
> > 
> > 
> > Regards,
> > 
> > > Best regards, Emil
> > > 
> > > On Wed, 2013-02-06 at 18:22 +0100, Antonio Quartulli wrote:
> > > > Hi Emil,
> > > > 
> > > > On Wed, Feb 06, 2013 at 05:37:41 +0100, Emil Goode wrote:
> > > > > The commit ed242d01 removed a node parameter from iterators.
> > > > > This patch removes a hlist_node struct that is no longer used.
> > > > > 
> > > > > Sparse gives a warning:
> > > > > 
> > > > > net/batman-adv/originator.c:411:21: warning:
> > > > > 	unused variable ‘node_tmp’ [-Wunused-variable]
> > > > > 
> > > > > Signed-off-by: Emil Goode <[email-masked]>
> > > > 
> > > > On which tree did you base your patch?
> > > > I cannot find the commit you are referring to (ed242d01) and the patch does not
> > > > apply (neither on net nor net-next).
> > > > 
> > > > Other than that the variable is used a couple of lines below (in the code we
> > > > have)...
> > > > 
> > > > Regards,
> > > > 
> > > 
> > > 
> > 
> 
> 

-- 
Antonio Quartulli

..each of us alone is worth nothing..
Ernesto "Che" Guevara